# TdApi.MessageViewer (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageViewer

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageViewer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageViewer

Enclosing class:
  TdApi

public static final class TdApi.MessageViewer extends TdApi.Object
Represents a viewer of a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`userId`
User identifier of the viewer.
`int`
`viewDate`
Approximate point in time (Unix timestamp) when the message was viewed.

## Constructor Summary

Constructors
Constructor
Description
`MessageViewer()`
Represents a viewer of a message.
`MessageViewer(long userId, int viewDate)`
Represents a viewer of a message.
`MessageViewer(DataInput input)`
Represents a viewer of a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier of the viewer.

### viewDate

public int viewDate
Approximate point in time (Unix timestamp) when the message was viewed.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageViewer

public MessageViewer()
Represents a viewer of a message.

### MessageViewer

public MessageViewer(long userId, int viewDate)
Represents a viewer of a message.

Parameters:
  `userId` - long User identifier of the viewer.
  `viewDate` - int Approximate point in time (Unix timestamp) when the message was viewed.

### MessageViewer

public MessageViewer(DataInput input) throws IOException
Represents a viewer of a message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`